Stake account rewards
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/rewards \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/rewards"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "leader",
"earned_epoch": 68,
"spendable_epoch": 70,
"amount": 576671933,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp"
},
{
"type": "leader",
"earned_epoch": 69,
"spendable_epoch": 71,
"amount": 567061410,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp"
},
{
"type": "leader",
"earned_epoch": 70,
"spendable_epoch": 72,
"amount": 559723577,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp"
},
{
"type": "leader",
"earned_epoch": 71,
"spendable_epoch": 73,
"amount": 521198513,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp"
},
{
"type": "leader",
"earned_epoch": 72,
"spendable_epoch": 74,
"amount": 541678766,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp"
}
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "82b6eee6d8bc3ca82e450d94bed5bfbb7859417840e3db8a3bf639a46bcbe379",
"block_slot": 32265228
},
"next_cursor": null
}Accounts
Stake account rewards
Get reward history for a Cardano stake account including staking rewards and withdrawal records.
GET
/
accounts
/
{stake_addr}
/
rewards
Stake account rewards
Authorizations
Project API Key
Headers
Large numbers returned as strings if set to true
Path Parameters
Bech32 encoded stake/reward address ('stake1...')
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by epoch number)
Available options:
asc, desc Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Staking rewards for the specified stake key (pool-member and pool-leader rewards, deposit refunds)
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

